Toon firmware - update script

Forum about the Toon firmware, and its extensions

Moderators: marcelr, TheHogNL, TerrorSource, Toonz

Re: Toon firmware - update script

Postby TheHogNL » Sun Feb 10, 2019 8:10 am

lxz wrote:Hi,

I have updated my Toon1 from 4.19-something to 5.0.4 and it went quite well, thanks to the update-rooted-script (thanks for that!).
However, I am missing some elements (texts, icons) on the screen. screenshot1 screenshot2

Any idea how to fix this?


-edit: forgot to mention:
I tried freeing up some space and re-running the script, which didn't help. I did not see anything special in the log files in /mnt/data/update as well..



Do you have other custom apps installed in /qmf/qml/apps ? It looks like one old app (which is not updated by toonstore) is bugging the GUI now.

If unsure just remove all custom apps from /qmf/qml/apps, reboot and reinstall them later with toonstore.
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1056
Joined: August 2017

Re: Toon firmware - update script

Postby lxz » Sun Feb 10, 2019 9:29 am

TheHogNL wrote:
lxz wrote:Hi,

I have updated my Toon1 from 4.19-something to 5.0.4 and it went quite well, thanks to the update-rooted-script (thanks for that!).
However, I am missing some elements (texts, icons) on the screen. screenshot1 screenshot2

Any idea how to fix this?


-edit: forgot to mention:
I tried freeing up some space and re-running the script, which didn't help. I did not see anything special in the log files in /mnt/data/update as well..



Do you have other custom apps installed in /qmf/qml/apps ? It looks like one old app (which is not updated by toonstore) is bugging the GUI now.

If unsure just remove all custom apps from /qmf/qml/apps, reboot and reinstall them later with toonstore.


Thanks, I rm'd the /qmf/qml/apps folder completely now and rebooted my Toon. Situation is still the same.
I think there wasn't enough space available and one or more packages could not be installed (when updating to 5.0.4). I freed up some space now,

When I run the update-rooted script again, it looks like the downloads are cached. is it possible to re-download all packages from feed.hae.int?

--edit:
Toon is (partly) in the English language, instead of Dutch (which it was before updating)
Something is wrong with the language files. I see a lot of variables, like 'notification-warning-text' in the menu's.
Ok, I think I deleted too much files from the app-folder. Is is possible to rebuild it? :roll:
lxz
Starting Member
Starting Member
 
Posts: 16
Joined: November 2017

Re: Toon firmware - update script

Postby TheHogNL » Sun Feb 10, 2019 3:01 pm

lxz wrote:Thanks, I rm'd the /qmf/qml/apps folder completely now and rebooted my Toon. Situation is still the same.
I think there wasn't enough space available and one or more packages could not be installed (when updating to 5.0.4). I freed up some space now,

When I run the update-rooted script again, it looks like the downloads are cached. is it possible to re-download all packages from feed.hae.int?

--edit:
Toon is (partly) in the English language, instead of Dutch (which it was before updating)
Something is wrong with the language files. I see a lot of variables, like 'notification-warning-text' in the menu's.
Ok, I think I deleted too much files from the app-folder. Is is possible to rebuild it? :roll:


You removed that /qmf/qml/apps dir? LOL... ok that is where all language files for the buildin apps are stored also :D

What you could do:
Start the update script with "-v 5.0.4", then at the point "update script downloaded, do you want me to download all files?" press Ctrl-C to break the script.
At this point the VPN will stil be alive and your connection to the update server is ok.
Then run "opkg install qt-gui"

That should install the qt-gui files again.
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1056
Joined: August 2017

Re: Toon firmware - update script

Postby lxz » Sun Feb 10, 2019 3:16 pm

TheHogNL wrote:
lxz wrote:Thanks, I rm'd the /qmf/qml/apps folder completely now and rebooted my Toon. Situation is still the same.
I think there wasn't enough space available and one or more packages could not be installed (when updating to 5.0.4). I freed up some space now,

When I run the update-rooted script again, it looks like the downloads are cached. is it possible to re-download all packages from feed.hae.int?

--edit:
Toon is (partly) in the English language, instead of Dutch (which it was before updating)
Something is wrong with the language files. I see a lot of variables, like 'notification-warning-text' in the menu's.
Ok, I think I deleted too much files from the app-folder. Is is possible to rebuild it? :roll:


You removed that /qmf/qml/apps dir? LOL... ok that is where all language files for the buildin apps are stored also :D

What you could do:
Start the update script with "-v 5.0.4", then at the point "update script downloaded, do you want me to download all files?" press Ctrl-C to break the script.
At this point the VPN will stil be alive and your connection to the update server is ok.
Then run "opkg install qt-gui"

That should install the qt-gui files again.


ah thanks for helping. It's working again, yay!
lxz
Starting Member
Starting Member
 
Posts: 16
Joined: November 2017

Re: Toon firmware - update script

Postby hmostard » Sun Feb 10, 2019 9:55 pm

Thank you for the information.

I just installed version 5.0.4 with the update script without any problem.
I even got a bonus because the script installed Toonstore and x11VNC which is did not have before.
Great script. (Maybe it was to easy :-)
hmostard
Starting Member
Starting Member
 
Posts: 8
Joined: February 2019

Re: Toon firmware - update script

Postby hmostard » Tue Feb 12, 2019 6:35 pm

Just another small question.
Maybe this is offtopic, but after i did the update the native weather app is not showing any data.
Could be caused by the 5.0.4 update or the update script. In 3.2.18 it was working.
I checked the certificates and that looked ok.
Buienradar app works ok.
Any other idea what could have caused this?
hmostard
Starting Member
Starting Member
 
Posts: 8
Joined: February 2019

Re: Toon firmware - update script

Postby Toonz » Tue Feb 12, 2019 7:26 pm

The VPN to Eneco must be running for the native app and you must have a valid Toon subscription.
But anyway, my buienradar app is way better... (ahum :) )
member of the Toon Software Collective
User avatar
Toonz
Forum Moderator
Forum Moderator
 
Posts: 1113
Joined: December 2016

Re: Toon firmware - update script

Postby mAiden » Tue Feb 12, 2019 8:37 pm

hmostard wrote:Just another small question.
Maybe this is offtopic, but after i did the update the native weather app is not showing any data.
Could be caused by the 5.0.4 update or the update script. In 3.2.18 it was working.
I checked the certificates and that looked ok.
Buienradar app works ok.
Any other idea what could have caused this?


Remove the native weather app, use Buienrader app from Toonz, you can find him in the Toonstore. :)
mAiden
Member
Member
 
Posts: 228
Joined: July 2017

Re: Toon firmware - update script

Postby hmostard » Wed Feb 13, 2019 11:03 am

Ok, so you need the VPN to Eneco. That explains it.
I already installed the buienradar app. Works great.
Thx for info.
hmostard
Starting Member
Starting Member
 
Posts: 8
Joined: February 2019

Re: Toon firmware - update script

Postby amo » Fri Feb 15, 2019 9:49 pm

Rudi wrote:
Collected errors.pdf
file-1.pdf
I am trying to update my just rooted toom from firmware version 3.2.18 to firmware version 4.10.6.
Unfortunately this does noet work due to several errors.

When executing the script with: ./updated-rooted.sh
i see the following error:
see file 1...
I have attached the errors that were dumped in the file: /HCBv2/tmp/opkg-cache/upgrade-qb2.sh.log

I hope that someone can help me with this issue



i have the same problems..
@TheHOg, can you tell me what to do to fix this??

Thanks!

(i have root acces now) :D
amo
Starting Member
Starting Member
 
Posts: 11
Joined: February 2019

Re: Toon firmware - update script

Postby amo » Fri Feb 15, 2019 11:17 pm

Hi all,
i am getting this error below:
its running 2.9.15 now

tried to force 3.X.XX and 4.x.X.x and 5.X
noting helps?

someone?

Code: Select all
/tmp/update.status.vars: Downloading 93% (151/159) sysvinit
Downloading http://feed.hae.orig/feeds/qb2/ene/3.2.14/../../POOL/hcb-config_1.218_qb2.ipk.
/tmp/update.status.vars: Downloading 95% (155/159) hcb-config
Downloading http://feed.hae.orig/feeds/qb2/ene/3.2.14/../../POOL/hcb-watchdog_1.40_qb2.ipk.
/tmp/update.status.vars: Downloading 100% (159/159) hcb-watchdog
/tmp/update.status.vars: Downloading 100% (159/159)
Collected errors:
* opkg_download_pkg: Package happ-pwrusage is not available from any configured src.
* opkg_install_pkg: Failed to download happ-pwrusage. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package libhcb-drv is not available from any configured src.
* opkg_install_pkg: Failed to download libhcb-drv. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package happ-kpi is not available from any configured src.
* opkg_install_pkg: Failed to download happ-kpi. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package hcb-comm is not available from any configured src.
* opkg_install_pkg: Failed to download hcb-comm. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package libc6 is not available from any configured src.
* opkg_install_pkg: Failed to download libc6. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package www-resources is not available from any configured src.
* opkg_install_pkg: Failed to download www-resources. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package libstdc++6 is not available from any configured src.
* opkg_install_pkg: Failed to download libstdc++6. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package firmware-zwave-ctrlr is not available from any configured src.
* opkg_install_pkg: Failed to download firmware-zwave-ctrlr. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package hdrv-zwave is not available from any configured src.
* opkg_install_pkg: Failed to download hdrv-zwave. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package happ-eventmgr is not available from any configured src.
* opkg_install_pkg: Failed to download happ-eventmgr. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package happ-usermsg is not available from any configured src.
* opkg_install_pkg: Failed to download happ-usermsg. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package libc6 is not available from any configured src.
* opkg_install_pkg: Failed to download libc6. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package libfreetype6 is not available from any configured src.
* opkg_install_pkg: Failed to download libfreetype6. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package libjpeg8 is not available from any configured src.
* opkg_install_pkg: Failed to download libjpeg8. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package libhcb-boxtalk is not available from any configured src.
* opkg_install_pkg: Failed to download libhcb-boxtalk. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package flash-qwidget-eusage is not available from any configured src.
* opkg_install_pkg: Failed to download flash-qwidget-eusage. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package libgcc1 is not available from any configured src.
* opkg_install_pkg: Failed to download libgcc1. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package hdrv-p1 is not available from any configured src.
* opkg_install_pkg: Failed to download hdrv-p1. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package hdrv-hue is not available from any configured src.
* opkg_install_pkg: Failed to download hdrv-hue. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package libz1 is not available from any configured src.
* opkg_install_pkg: Failed to download libz1. Perhaps you need to run 'opkg update'?


* opkg_download_pkg: Package happ-thermstat is not available from any configured src.
* opkg_install_pkg: Failed to download happ-thermstat. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package firmware-ba is not available from any configured src.
* opkg_install_pkg: Failed to download firmware-ba. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package libhcb-base is not available from any configured src.
* opkg_install_pkg: Failed to download libhcb-base. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package happ-scsync is not available from any configured src.
* opkg_install_pkg: Failed to download happ-scsync. Perhaps you need to run 'opkg update'?
* opkg_download_pkg: Package sysvinit is not available from any configured src.
* opkg_install_pkg: Failed to download sysvinit. Perhaps you need to run 'opkg update'?
> Exit code: 255
>> 2019-02-15 21:52:49 +0000 (pid 1645) prepare-error-opkg-download-download 'opkg failed to download'
~
~
amo
Starting Member
Starting Member
 
Posts: 11
Joined: February 2019

Re: Toon firmware - update script

Postby TheHogNL » Sat Feb 16, 2019 8:05 am

Could you run this and post the result?
Code: Select all
opkg list | grep base-qb2


If there is more then one base-qb2 entry your toon is already in the state to update to the highest version number in that result. I'm working on a update-script version which detects this and then runs the update for the correct version.

Owh and also, Toon update sources (remember we use the original sources) are having some problems lately. So just restarting the update can also just be the solution.
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1056
Joined: August 2017

Re: Toon firmware - update script

Postby amo » Sat Feb 16, 2019 8:33 am

Thanks Hog,
see below

Code: Select all
eneco-001-088784:~# opkg list | grep base-qb2
base-qb2-ene - 3.2.14-944-0 - BASEPKG base-qb2-ene r944 -- contains base files needed for this project + dependencies
base-qb2-ene - 2.9.26-831-0
base-qb2-ene - 2.9.15-794-0
base-qb2-uni - 5.0.4-1286-0
eneco-001-088784:~#
amo
Starting Member
Starting Member
 
Posts: 11
Joined: February 2019

Re: Toon firmware - update script

Postby TheHogNL » Sat Feb 16, 2019 9:43 am

Ok please try to update to 5.0.4 directly (update-rooted.sh -v 5.0.4)

And if that fails also send me a PM with your 06-number so we can arrange a teamviewer.
Member of the Toon Software Collective
User avatar
TheHogNL
Forum Moderator
Forum Moderator
 
Posts: 1056
Joined: August 2017

Re: Toon firmware - update script

Postby amo » Sat Feb 16, 2019 10:38 am

Tried to force 5.0.4, but get the exact same error.
I have send you a pm with my phone number

Thanks!
amo
Starting Member
Starting Member
 
Posts: 11
Joined: February 2019

PreviousNext

Return to Toon Firmware

Who is online

Users browsing this forum: No registered users and 1 guest